function widgetCalculateMaxOffer() {
    //flip calculator functions go here
    //acquisition
    let purchasePrice = parseFloat(document.getElementById('widget_inputPurchasePrice').value);
    let purchaseClosingCost = parseFloat(document.getElementById('widget_inputPurchaseClosingCosts').value);
    // let totalAcquisitionCost = purchasePrice + purchaseClosingCost; - i put this down below

    //disposition
    let saleClosingCost = parseFloat(document.getElementById('widget_inputSaleClosingCosts').value);
    let saleCommission = parseFloat(document.getElementById('widget_inputCommission').value);

    //profitability estimates
    let arv = parseFloat(document.getElementById('widget_inputARV').value);
    let desiredProfit = parseFloat(document.getElementById('widget_inputDesiredProfit').value);

    //rehab estimates
    let totalRepairs = parseFloat(document.getElementById('widget_inputRepair').value);
    let monthlyHoldingCost = parseFloat(document.getElementById('widget_inputHoldingCost').value);
    let holdingTime = parseFloat(document.getElementById('widget_inputHoldingTime').value);

    // calculations
    let totalHoldingCost = monthlyHoldingCost * holdingTime;
    let totalRehabCost = totalHoldingCost + totalRepairs;
    let totalAcquisitionCost = purchasePrice + purchaseClosingCost;
    let totalDispositionCost = (arv * (saleCommission / 100)) + saleClosingCost;
    let totalCommission = purchasePrice * (saleCommission / 100);

    let totalProfit = arv - totalAcquisitionCost - totalRehabCost - totalDispositionCost;
    let totalExpenses = arv - totalProfit - purchasePrice;

    let maxOffer = arv - purchaseClosingCost - totalRehabCost - totalDispositionCost - desiredProfit;

    document.getElementById('widget_est-profit').innerHTML = "$" + totalProfit.toLocaleString("en-US");
    document.getElementById('widget_max-offer-price').innerHTML = "$" + maxOffer.toLocaleString("en-US");
    document.getElementById('widget_rehab-plus-expenses').innerHTML = "$" + totalExpenses.toLocaleString("en-US");

}

// second chart for flips
let widgetFlipper = document.getElementById('widget_flipChart').getContext('2d');
let widgetFlipChart = new Chart(widgetFlipper, {
    type: 'doughnut',
    options: {
        maintainAspectRatio: false,
        cutoutPercentage: 25,
        legend: {
            position: 'bottom',
        },
        title: {
            display: true,
            text: 'Fix and Flip Expenses',
            fontSize: 30,
            padding: 10,
            fontColor: 'rgba(95, 91, 255, 1)',
        },
    },
    data: {
        labels: ['Purchase Closing Costs', 'Sale Closing Costs', 'Repair Costs', 'Sales Commission', 'Holding Cost'],

        datasets: [{
            label: '% of Sales Price',
            data: [1, 1, 1, 1, 1],
            backgroundColor: [
                'rgba(97,245,245)',
                'rgba(98,195,245)',
                'rgba(97,147,245)',
                'rgba(98,96,244)',
                'rgba(99,49,245)',
            ],
            borderWidth: 0,
        }]
    },
});

// returns the calculated total holding costs from the rehab estimates section.
function widgetGetTotalHoldingCost() {
    let monthlyHoldingCost = parseFloat(document.getElementById('widget_inputHoldingCost').value);
    let holdingTime = parseFloat(document.getElementById('widget_inputHoldingTime').value);
    return monthlyHoldingCost * holdingTime;
}

function widgetCalculateCommission() {
    return (document.getElementById('widget_inputCommission').value / 100) * document.getElementById('widget_inputARV').value;
}

function widgetUpdateAll(chart) {
    console.log(chart);
    chart.data.datasets[0].data[0] = document.getElementById('widget_inputPurchaseClosingCosts').value;
    chart.data.datasets[0].data[1] = document.getElementById('widget_inputSaleClosingCosts').value;
    chart.data.datasets[0].data[2] = document.getElementById('widget_inputRepair').value;
    chart.data.datasets[0].data[3] = widgetCalculateCommission().toFixed(0);
    chart.data.datasets[0].data[4] = widgetGetTotalHoldingCost();
    chart.update();
}
















