<?php
class FAFCalculator extends WP_Widget
{

    function __construct()
    {
        parent::__construct('faf_calculator_widget', 'Fix and Flip Calculator',
            array('description' => 'Calculator for Fix and Flip',));
    }

    public function widget($args, $instance)
    {
        $title = apply_filters('widget_title', $instance['title']);

        // before and after widget arguments are defined by themes
        echo esc_html($args['before_widget']);
        if (!empty($title))
            echo esc_html($args['before_title'] . $title . $args['after_title']);
        $calc = new FixAndFlipCalculator();
        $calc->enqueue_scripts();
        wp_enqueue_script('faf_calculator_widget', FAF_CALCULATOR_PLUGIN_URL . 'assets/widget.js');
        echo $this->render_calculator();
        echo esc_html($args['after_widget']);
    }

    // Widget Backend
    public function form($instance)
    {
        if (isset($instance['title'])) {
            $title = $instance['title'];
        } else {
            $title = __('New title', 'wpb_widget_domain');
        }
        // Widget admin form
        ?>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('title')); ?>"><?php esc_html_e('Title:'); ?></label>
            <input class="widefat" id="<?php echo esc_attr($this->get_field_id('title')); ?>"
                   name="<?php echo esc_attr($this->get_field_name('title')); ?>" type="text"
                   value="<?php echo esc_attr($title); ?>"/>
        </p>
        <?php
    }

    // Updating widget replacing old instances with new
    public function update($new_instance, $old_instance)
    {
        $instance = array();
        $instance['title'] = (!empty($new_instance['title'])) ? strip_tags($new_instance['title']) : '';
        return $instance;
    }

    function render_calculator()
    {
        return '   
            <div id="widget_faf-calculator-wrapper"> 
                <div class="two-column">
					<div class="column">
						<form>
						  <h2>Acquisition Costs</h2>
						  <div class="form-row">
							<div class="form-group col-md-12">
							  <label for="inputPurchasePrice">Purchase Price (Incl. Taxes)</label>
							  <input type="text" class="form-control" id="widget_inputPurchasePrice" value="500000">
							</div>
							<div class="form-group col-md-12">
							  <label for="inputPurchaseClosingCosts">Closing Costs</label>
							  <input type="number" class="form-control" id="widget_inputPurchaseClosingCosts" value="22500">
							</div>
						  </div>
						  <h2>Disposal Costs</h2>
						  <div class="form-row">
							<div class="form-group col-md-12">
							  <label for="inputSaleClosingCosts">Sale Closing Costs (Incl. Taxes)</label>
							  <input type="number" class="form-control" id="widget_inputSaleClosingCosts" value="23500">
							</div>
						  <div class="form-group col-md-12">
							  <label for="inputCommission">Agent Commissions (%)</label>
							  <input type="text" class="form-control" id="widget_inputCommission" value="7">
							</div>
						  </div>
						  <h2>Estimates</h2>
						  <div class="form-row">
							<div class="form-group col-md-12">
							  <label for="inputARV">After Repair Value (ARV)</label>
							  <input type="number" class="form-control" id="widget_inputARV" value="185000">
							</div>
							<div class="form-group col-md-12">
							  <label for="inputDesiredProfit">Desired Profit</label>
							  <input type="number" class="form-control" id="widget_inputDesiredProfit" value="25000">
							</div>
						  </div>
						  <h2>Rehab Estimates</h2>

						   <div class="form-group">
							<div class="form-group">
							  <label for="inputRepair">Repair Costs</label>
							  <input type="number" class="form-control" id="widget_inputRepair" value="17500">
							</div>

						   </div>
						   <div class="form-row">
							<div class="form-group col-md-12">
							  <label for="inputHoldingCost">Monthly Holding Cost</label>
							  <input type="number" class="form-control" id="widget_inputHoldingCost" value="220">
							</div>
							<div class="form-group col-md-12">
							  <label for="inputHoldingTime">Holding Time (Months)</label>
							  <input type="number" class="form-control" id="widget_inputHoldingTime" value="10">
							</div>
						  </div>

						  <button type="button" id="widget_calculateflip" class="btn btn-primary btn-block" onclick="widgetCalculateMaxOffer(widgetFlipChart); widgetUpdateAll(widgetFlipChart)">Calculate Results</button> 

						</form>
					</div>
					<div class="column">
						<div class="estimatedProfit">
							<p class="estimateHighlight">Estimated Profit</p>
							<p class="totalEstimate" id="widget_est-profit">$</p>
							<div class="bottomTotals">
								<p class="estimateHighlight">Max Offer Price <span id="widget_max-offer-price">$</span></p>
								<div class="divider"></div>
								<p class="estimateHighlight">Rehab and Expenses <span id="widget_rehab-plus-expenses">$</span></p>
							</div>
						</div> 

						<div class="chartContainer"><div class="chartjs-size-monitor"><div class="chartjs-size-monitor-expand"><div class=""></div></div><div class="chartjs-size-monitor-shrink"><div class=""></div></div></div>
							<canvas id="widget_flipChart" style="display: block; width: 480px; height: 240px;" class="chartjs-render-monitor" width="480" height="240"></canvas>
						</div>
						<div class="attribution">
                            <small>Powered by <a href="https://www.htag.com.au/" target="_blank">HtAG Property Investment Platform</a></small>
                        </div>
					</div>
				</div>
            </div>        
            ';
    }

}